org.apache.flume.conf.source

## Enum SourceType

- java.lang.Object
- - java.lang.Enum<SourceType>
  - - org.apache.flume.conf.source.SourceType

- All Implemented Interfaces:
    Serializable, Comparable<SourceType>

      public enum SourceType
      extends Enum<SourceType>

  Enumeration of built in source types available in the system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO` Avro source.
    `EXEC` Exec source.
    `HTTP` HTTP Source
    `JMS` JMS Source
    `MULTIPORT_SYSLOGTCP` MultiportSyslogTCPSource
    `NETCAT` Netcat source.
    `OTHER` Place holder for custom sources not part of this enumeration.
    `SEQ` Sequence generator file source.
    `SPOOLDIR` Spool directory source
    `SYSLOGTCP` SyslogTcpSource
    `SYSLOGUDP` SyslogUDPSource
    `TAILDIR` Taildir Source
    `THRIFT` Thrift Source

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSourceClassName()`
    `static SourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final SourceType OTHER

      Place holder for custom sources not part of this enumeration.

    - #### SEQ

          public static final SourceType SEQ

      Sequence generator file source.
      See Also:
        `SequenceGeneratorSource`

    - #### NETCAT

          public static final SourceType NETCAT

      Netcat source.
      See Also:
        `NetcatSource`

    - #### EXEC

          public static final SourceType EXEC

      Exec source.
      See Also:
        `ExecSource`

    - #### AVRO

          public static final SourceType AVRO

      Avro source.
      See Also:
        `AvroSource`

    - #### SYSLOGTCP

          public static final SourceType SYSLOGTCP

      SyslogTcpSource
      See Also:
        `SyslogTcpSource`

    - #### MULTIPORT_SYSLOGTCP

          public static final SourceType MULTIPORT_SYSLOGTCP

      MultiportSyslogTCPSource
      See Also:
        `MultiportSyslogTCPSource`

    - #### SYSLOGUDP

          public static final SourceType SYSLOGUDP

      SyslogUDPSource
      See Also:
        `SyslogUDPSource`

    - #### SPOOLDIR

          public static final SourceType SPOOLDIR

      Spool directory source
      See Also:
        `SpoolDirectorySource`

    - #### HTTP

          public static final SourceType HTTP

      HTTP Source
      See Also:
        `HTTPSource`

    - #### THRIFT

          public static final SourceType THRIFT

      Thrift Source
      See Also:
        `ThriftSource`

    - #### JMS

          public static final SourceType JMS

      JMS Source
      See Also:
        `JMSSource`

    - #### TAILDIR

          public static final SourceType TAILDIR

      Taildir Source
      See Also:
        `TaildirSource`

  - ### Method Detail

    - #### values

          public static SourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceType c : SourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSourceClassName

          public String getSourceClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.